Commit 34f6668a authored by Kroese's avatar Kroese
Browse files

Source installer

parent 9ca126a2
Loading
Loading
Loading
Loading
+6 −9
Original line number Diff line number Diff line
#!/usr/bin/env bash
set -eu

if /run/install.sh; then
echo "Starting Virtual DSM..."
else
  echo "Installation failed (code $?)" && exit 81
fi

source /run/disk.sh
. /run/install.sh
. /run/disk.sh

[ -z "${KVM_DISK_OPTS}" ] && echo "Error: Failed to setup disks..." && exit 83

source /run/network.sh
. /run/network.sh

[ -z "${KVM_NET_OPTS}" ] && echo "Error: Failed to setup network..." && exit 84

source /run/serial.sh
. /run/serial.sh

[ -z "${KVM_SERIAL_OPTS}" ] && echo "Error: Failed to setup serial..." && exit 85

source /run/power.sh
. /run/power.sh

[ -z "${KVM_MON_OPTS}" ] && echo "Error: Failed to setup monitor..." && exit 87